// creator  : weidu.exe (version 23600)
// argument : BRANWP.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~BRANWP~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 3 4 5 even though they appear after this state */
~  !InParty(Myself)
Global("KickedOut","LOCALS",1)
!HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
~ THEN BEGIN 0 // from:
  SAY #15448 /* ~By Tempus, you have returned! Are we to join again and fight as mighty warriors should? Say it is so!~ */
  IF ~~ THEN REPLY #15449 /* ~That is a fine idea. We simply could not do without your fighting spirit.~ */ GOTO 1
  IF ~~ THEN REPLY #15450 /* ~I am sorry, but I do not need you back just yet.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #15451 /* ~A triumphant day, indeed! I welcome your company once again!~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #15452 /* ~We have fought well and we have fought bravely. Tempus willing, perhaps I will fight at your side again someday.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
~ THEN BEGIN 3 // from:
  SAY #15425 /* ~You are no more honorable than the Loki spawn I left behind.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)
EscapeArea()
LeaveParty()
~ EXIT
END

IF WEIGHT #1 ~  !InParty(Myself)
Global("KickedOut","LOCALS",0)
!HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
~ THEN BEGIN 4 // from:
  SAY #15426 /* ~We have fought well and we have fought bravely. Tempus willing, perhaps I will fight at your side again someday.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
LeaveParty()
~ EXIT
END

IF WEIGHT #2 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5 // from:
  SAY #16631 /* ~I have not much to tell you, but this: I was a foolish woman and joined the forces of these Loki spawn, the Iron Throne. I was insubordinate to my commander, and for punishment they locked me up in a prison cell for many weeks.~ */
  IF ~~ THEN EXIT
END
